package com.nisum.ecomservice.controller;

import com.nisum.ecomservice.dto.Order;
import com.nisum.ecomservice.dto.OrderRequest;
import com.nisum.ecomservice.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("/api/orders")
@CrossOrigin(origins = "*")
public class OrdersController {
    @Autowired
    private OrderService orderService;

    @PostMapping
    private Mono<Order> postOrder(@RequestBody OrderRequest orderRequest){
        return orderService.postOrder(orderRequest);
    }


}
