package com.nisum.ecomservice.dto;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class OrderAddressParse {

    @JsonCreator
    public OrderAddressParse(
            @JsonProperty("street") String street,
            @JsonProperty("city") String city,
            @JsonProperty("state") String state,
            @JsonProperty("zip") String zip
    ) {
        this.street = street;
        this.city = city;
        this.state = state;
        this.zip = zip;
    }

    private String street;
    private String city;
    private String state;
    private String zip;
}
