package com.nisum.ecomservice.dto;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class OrderItemParse {

    @JsonCreator
    public OrderItemParse(
            @JsonProperty("itemName") String itemName,
            @JsonProperty("itemId") String itemId,
            @JsonProperty("itemQuantity") Integer itemQuantity,
            @JsonProperty("itemPrice") Float itemPrice,
            @JsonProperty("itemSku") String itemSku
    ) {
        this.itemName = itemName;
        this.itemId = itemId;
        this.itemQuantity = itemQuantity;
        this.itemPrice = itemPrice;
        this.itemSku = itemSku;
    }

    private String itemName;
    private String itemId;
    private Integer itemQuantity;
    private Float itemPrice;
    private String itemSku;
}
