package com.nisum.ecomservice.model;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Data
@Document(collection = "carts")
public class CartEntity {
    @Id
    private String userId;
    private List<CartItemEntity> cartItems;
}
