package com.nisum.ecomservice.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class Promotion {

    private String id;
    private String promotionId;
    private String productSku;
    private Float discountPercentage;
    private Integer minimumQuantity;

    @JsonCreator
    public Promotion(
            @JsonProperty("id") String id,
            @JsonProperty("promotionId") String promotionId,
            @JsonProperty("productSku") String productSku,
            @JsonProperty("discountPercentage") Float discountPercentage,
            @JsonProperty("minimumQuantity") Integer minimumQuantity) {
        this.id = id;
        this.promotionId = promotionId;
        this.productSku = productSku;
        this.discountPercentage = discountPercentage;
        this.minimumQuantity = minimumQuantity;
    }
}
