package com.nisum.ecomservice.model;
import lombok.*;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "users")
@Getter
@Setter
@AllArgsConstructor
@ToString
public class User {

    @Id
    private String userId;
    private String email;
    private String firstName;
    private String lastName;
    private String accessToken;

    @Override
    public String toString() {
        return "Order{" +
                "userId='" + userId + '\'' +
                ", email='" + email + '\'' +
                ", firstName='" + firstName + '\'' +
                ", lastName='" + lastName + '\'' +
                ", accessToken=" + accessToken +
                '}';
    }
}
