import React, {useState, useEffect} from 'react'

export default function ShippingAddress(props) {
    return (
        <div className="order-component" id="shippingInput">

            <div className="OrderDirectionsElement" id="ShippingLabel">
                <p>Step 1 - Shipping</p>
            </div>

            <div className="shippingInfoInput" id="firstNameInput">
                <input  placeholder="First Name*" 
                        type="text"
                        onChange={(e) => props.captureFirstName(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="lastNameInput">
                <input  placeholder="Last Name*"
                        type="text"
                        onChange={(e) => props.captureLastName(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="addressInput">
                <input placeholder="Shipping Address*"
                        type="text"
                        onChange={(e) => props.captureShippingAddress(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="aptSuiteInput">
                <input  placeholder="Apt. / Suite no"
                        type="text"
                        onChange={(e) => props.captureAptSuiteNo(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="cityInput">
                <input placeholder="City*"
                        type="text"
                        onChange={(e) => props.captureCity(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="stateInput">
                <input placeholder="State*"
                        type="text"
                        onChange={(e) => props.captureState(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="zipCodeInput">
                <input placeholder="Postal Code*"
                        type="text"
                        onChange={(e) => props.captureZipCode(e.target.value)}
                        className="input-text"
                ></input>
            </div>
        </div>
    )
}
