import React, { useState, useEffect } from 'react'

export default function SubmitOrder(props) {
    
    let handleSubmitClick = (e) => {
        console.log("Submit Button Clicked")

        props.setSubmitButtonActive(1)
    }
    
    
    return (
        <div className="order-component" id="SubmitOrder">

            <div className="OrderDirectionsElement" id="SubmitLabel">
                <p>Step 4 - Checkout</p>
            </div>

            <div id="SubmitButtonContainer">
                <p className="errorMessage">{(props.errorWhileValidating === 1 && props.allFieldsValidated[0] === 0)? 'One or more fields is missing a value' : ''}</p>
                <button id="SubmitButtonInput" onClick={handleSubmitClick} >Submit Order</button>
            </div>

        </div>
    )
}
