import '../../resources/stylesheets/product-market.css';

import React, { Component } from 'react'

export default class ProductMarket extends Component {
  constructor(props) {
    super(props)
    this.state = {}
  }

  componentDidMount() {
    this.props.getProducts();
    this.props.getPromotions();
  }
  
  render() {
    return (
      <div>
        {this.props.products.map(prod => {
          return (
            <div key={ prod.sku }>
              <p>{ prod.productName }</p>
              <p>{ prod.productDescription }</p>
              <p>${ prod.price }</p>
              <button>Add to Cart</button>
              <p>_________________________________</p>
            </div>
          )
        })}
      </div>
    )
  }
}
