import { RECEIVE_ALL_PRODUCTS, RECEIVE_ALL_PROMOTIONS, RECEIVE_ALL_PRODUCTS_AND_PROMOTIONS } from '../actions/product_actions';

const initialState = {
    products: [],
    promotions: []
}

const productsReducer = (prevState = initialState, action) => {
    Object.freeze(prevState);
    const nextState = {...prevState};

    switch (action.type) {
        case RECEIVE_ALL_PRODUCTS:
            nextState.products = action.products.data
            return nextState;
        case RECEIVE_ALL_PROMOTIONS:
            nextState.promotions = action.promotions.data
            return nextState;
        case RECEIVE_ALL_PRODUCTS_AND_PROMOTIONS:
            return action.prodsAndPromos;
        default:
            return nextState;
    }
}

export default productsReducer;