import { connect } from 'react-redux';
import ProductMarket from './product-market';
import { fetchProducts, fetchPromotions } from '../../actions/product_actions';

const mSTP = state => ({
    products: state.market.products,
    promotions: state.market.promotions,
});

const mDTP = dispatch => ({
  getProducts: () => dispatch(fetchProducts()),
  getPromotions: () => dispatch(fetchPromotions())
});

export default connect(mSTP, mDTP)(ProductMarket);